Xcode 4.4, simulador IOS 5.1. Problema del marco de Twitter

Acabo de actualizar a Xcode 4.4 en Mountain Lion y enfrento un problema. El framework Twitter incorporado no funciona ahora en IOS Simulator. Parece que muchos desarrolladores que se actualizan a Xcode 4.4 tienen el mismo problema:

https://dev.twitter.com/discussions/4850

Entonces las preguntas:

  • ¿Es un problema de un simulador? ¿Funcionaría ese código de twitter en un dispositivo real?
  • Se sabe que a partir del IOS 6 será otro marco integrado para conectarse con las networkinges sociales. ¿Puede rechazarse la aplicación con IOS 5 twitter-code de la aplicación ahora?

¿Es un problema de un simulador? ¿Funcionaría ese código de twitter en un dispositivo real?

De acuerdo con el hilo al que se ha vinculado, es un problema de simulador solo. Pero siempre debe probar su código en un dispositivo iOS real antes de distribuirlo en la tienda.

Se sabe que a partir del IOS 6 será otro marco integrado para conectarse con las networkinges sociales. ¿Puede rechazarse la aplicación con IOS 5 twitter-code de la aplicación ahora?

En realidad, el marco de Twitter estaba disponible como un marco incorporado desde iOS 5 en adelante. Por lo tanto, su implementación compatible con iOS 5 no será rechazada en iOS 6 (todas las cosas son iguales). De hecho, si usted tiene una integración personalizada, que no sea'Twitter framework ', esto seguirá siendo aceptable: Apple no lo está obligando a utilizar exclusivamente el marco de Twitter suministrado.